BasicLoader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Class BasicLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader

Direct Known Subclasses:
  OuterJoinLoader, QueryLoader, QueryTranslatorImpl

    public abstract class BasicLoader

extends Loader

Uses the default mapping from property to result set column alias defined by the entities' persisters. Used when Hibernate is generating result set column aliases.

Field Summary
`protected static String[]` | `NO_SUFFIX`

Fields inherited from class org.hibernate.loader.Loader
`LOG`

Constructor Summary
`BasicLoader(SessionFactoryImplementor factory)`

Method Summary
`static String[]` | `generateSuffixes(int length)` Utility method that generates 0_, 1_ suffixes.
`static String[]` | `generateSuffixes(int seed, int length)`
`protected CollectionAliases[]` | `getCollectionAliases()`
`protected abstract String[]` | `getCollectionSuffixes()`
`protected EntityAliases[]` | `getEntityAliases()` Get the result set descriptor
`protected abstract String[]` | `getSuffixes()`
`protected void` | `postInstantiate()` Calculate and cache select-clause suffixes.

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, applyPostLoadLocks, areResultSetRowsTransformedImmediately, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, extractKeysFromResultSet, getAliases, getCollectionOwners, getCollectionPersisters, getCompositeKeyManyToOneTargetIndices, getEntityEagerPropertyFetches, getEntityPersisters, getFactory, getLockModes, getNamedParameterLocs, getOwnerAssociationTypes, getOwners, getQueryIdentifier, getResultColumnOrRow, getResultList, getResultRow, getResultRowAliases, getResultSet, getSQLString, hasSubselectLoadableCollections, includeInResultRow, isSingleRowLoader, isSubselectLoadingEnabled, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, resolveResultTransformer, scroll, toString, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_SUFFIX

    protected static final String[] NO_SUFFIX

Constructor Detail

### BasicLoader

    public BasicLoader(SessionFactoryImplementor factory)

Method Detail

### getEntityAliases

    protected final EntityAliases[] getEntityAliases()

  Description copied from class: `Loader`
  Get the result set descriptor

  Specified by:
    `getEntityAliases` in class `Loader`

### getCollectionAliases

    protected final CollectionAliases[] getCollectionAliases()

  Specified by:
    `getCollectionAliases` in class `Loader`

### getSuffixes

    protected abstract String[] getSuffixes()

### getCollectionSuffixes

    protected abstract String[] getCollectionSuffixes()

### postInstantiate

    protected void postInstantiate()

  Description copied from class: `Loader`
  Calculate and cache select-clause suffixes. Must be called by subclasses after instantiation.

  Overrides:
    `postInstantiate` in class `Loader`

### generateSuffixes

    public static String[] generateSuffixes(int length)

  Utility method that generates 0_, 1_ suffixes. Subclasses don't necessarily need to use this algorithm, but it is intended that they will in most cases.

  Parameters:
    `length` - The number of suffixes to generate
  Returns:
    The array of generated suffixes (with length=length).

### generateSuffixes

    public static String[] generateSuffixes(int seed,
                                            int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.